#!/bin/sh
# Outputs a list of most wanted pages. Takes a while to finish.

cat ./*.md | sed -n 's/.*\[.*\](\([^\)\(]*\)).*/\1/p' | sort | uniq -c | sort -nr > tmp.txt

rm tmp2.txt
touch tmp2.txt

while read -r line; do
  fname=`echo "$line" | grep -o "[^ ]*\.md" -`

  if ! [ -f $fname ]; then
    printf -- "- [" >> tmp2.txt
    printf $fname | sed "s/^\([^ ]*\)\.md/\1](${fname}) (/g" >> tmp2.txt
    echo $line | sed "s/^ *\([0-9]*\).*$/\1)/g" >> tmp2.txt
  fi
done < tmp.txt

cat tmp2.txt | head -n 20
rm tmp.txt tmp2.txt
