# Wiby

Wiby is a [minimalist](minimalism.md) non-corporate [web](www.md) [search engine](search_engine.md) for old-style non-[bloated](bloat.md) (web 1.0, "[smol web](smol_internet.md)") websites with its custom [index](index.md). Searching on wiby will yield small, simple websites, mostly non-interactive, static [HTML](html.md) personal/hobby sites, small community sites and obscure weird sites -- this kind of searching is not only [fun](fun.md), adventurous and nostalgic [90s](90s.md) like experience, but it actually leads to finding useful information which on corporate search engines like [Google](google.md) or [Bing](bing.md) get buried under billions of useless noise sites and links to "content platforms" like [YouTube](youtube.md) and [reddit](reddit.md). We highly recommend searching on wiby.

Wiby's relative success (and success of similar engines and smaller sites in general) can possibly be attributed to increasing shittiness of [Google](google.md) and other mainstream engines which more and more suffer by the capitalist [SEO](seo.md) disaster. Wiby may be one of the first indicators of the days of Google's search monopoly finally coming to an end.

It can be accessed at https://wiby.me and https://wiby.org (there is a low res picture of a lighthouse of Cape Spear on the frontpage for some reason, in the past there used to be [ASCII art](ascii_art.md) of lighthouse with initials `jgs`, probably standing for Joan G. Stark). Of course, no [JavaScript](js.md) is needed! Clicking "surprise me" on wiby is an especially entertaining activity, you never know what comes at you. A site dedicated to identifying historical bottles? Ice chewers forum? A list of longest domain names? Yes, this is the kind of stuff you'll get, and more.

The engine doesn't automatically crawl the whole web, it instead works by users submitting links, the admin approving them and a bot potentially crawling these sites to a small depth. Be sure to contribute quality links to improve the database!

Wiby appears to have been launched in October 2017 and built by a sole programmer who remains anonymous and accepts donations.

On July 8, 2022 wiby became even more amazing by **being released as [free (as in freedom) software](free_software.md)** under [GPLv2](gpl.md) (https://github.com/wibyweb/wiby/)! It works on the [LEMP](lemp.md) stack. See http://wiby.me/about/guide.html. (The database/index of sites though seems to remain non-shared and [proprietary](proprietary.md).)

A similar search engine seems to be https://search.marginalia.nu/.